@echo off
REM convert
REM
REM converts IPF to HTML

echo converting %1.ipf ...

if "%1" == "" echo "syntax: convert filename_without_extension" & goto ende

if exist %1.htm del %1.htm

type html_pre.1                         >  %1.htm
echo %1                                 >> %1.htm
type html_pre.2                         >> %1.htm
ipf2html < %1.ipf 1>NUL                2>> %1.htm
type html_pre.3                         >> %1.htm
ipf2html < %1.ipf 2>NUL                1>> %1.htm

echo done.

:ende
